%if 0%{?el7}
%define dist .el7
%endif

Name:           ncmpc
Version:        0.46
Release:        1%{?dist}
Summary:        ncmpc is a curses client for the Music Player Daemon (MPD).

Group:          Applications/Multimedia
License:        GPLv2
URL:            http://www.musicpd.org/
Source0:        http://www.musicpd.org/download/%{name}/0/%{name}-%{version}.tar.xz
Source1:        ncmpc-0.21-ja.po
Source2:        ncmpc-0.21-ja.ncmpc.man.1

Patch0:         0001-ncmpc-0.30-add-translatable-words.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  meson ninja-build
BuildRequires:  python3-sphinx
BuildRequires:  boost-devel
BuildRequires:  gcc gcc-c++
BuildRequires:	gettext doxygen
BuildRequires:	ncurses-devel
BuildRequires:	glib2-devel >= 2.14
BuildRequires:	lirc-devel

### Custom rpms ###
BuildRequires:  libmpdclient-devel

Obsoletes:      %{name}-lyrics-leoslyrics < 0.30
Obsoletes:      %{name}-doc < 0.30

Packager:       momo-i <webmaster@momo-i.org>
Vendor:         momo-i, http://www.momo-i.org/

%description
ncmpc is a curses client for the Music Player Daemon (MPD). ncmpc connects to
a MPD running on a machine on the local network, and controls this with an
interface inspired by cplay.

Music Player Daemon (MPD) allows remote access for playing music (MP3,
Ogg Vorbis, FLAC, AAC, and wave files) and managing playlists. MPD is
designed for integrating a computer into a stereo system that provides
control for music playback over a local network. Read more at musicpd.org

%package lyrics-azlyrics
Summary:        Lyrics Plugin for %{name}
Group:          Applications/Internet
Requires:       ncmpc
BuildArch:      noarch

%description lyrics-azlyrics
Lyrics Plugin for %{name}.

%prep
%setup -q
%patch0 -p1

%{__cp} %{SOURCE1} po/ja.po

%build
%meson
%meson_build

%install
%meson_install
install -D -m644 %{SOURCE2} $RPM_BUILD_ROOT%{_mandir}/ja/man1/ncmpc.1

install -d -m755 $RPM_BUILD_ROOT%{_libexecdir}/%{name}
install -D -m755 lyrics/20-azlyrics.py $RPM_BUILD_ROOT%{_libexecdir}/%{name}/20-azlyrics.py

install -D -m644 doc/config.sample $RPM_BUILD_ROOT%{_sysconfdir}/ncmpc/config
install -D -m644 doc/keys.sample $RPM_BUILD_ROOT%{_sysconfdir}/ncmpc/keys

%{__rm} %{buildroot}%{_defaultdocdir}/%{name}/COPYING
rm -f $RPM_BUILD_ROOT%{_pkgdocdir}/html/.buildinfo

%find_lang %{name} --with-man

%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS NEWS README* doc/{config.sample,keys.sample,ncmpc.lirc}
%{!?_licensedir:%global license %%doc}
%license COPYING
%{_bindir}/ncmpc
%{_mandir}/man1/%{name}.1*
%config(noreplace) %{_sysconfdir}/ncmpc/config
%config(noreplace) %{_sysconfdir}/ncmpc/keys
%{_pkgdocdir}

%files lyrics-azlyrics
%{_libexecdir}/%{name}/20-azlyrics.py

%changelog
* Sat Jan 08 2022 momo-i <webmaster@momo-i.org> - 0.46-1
- Update to 0.46

* Sun Feb 21 2021 momo-i <webmaster@momo-i.org> - 0.45-1
- Update to 0.45

* Fri Jun 05 2020 momo-i <webmaster@momo-i.org> - 0.38-1
- Update to 0.38

* Tue Dec 24 2019 momo-i <webmaster@momo-i.org> - 0.36-1
- Update to 0.36

* Sun May 05 2019 momo-i <webmaster@momo-i.org> - 0.34-1
- Update to 0.34

* Mon Nov 26 2018 momo-i <webmaster@momo-i.org> - 0.33-1
- Update to 0.33

* Sun Jul 08 2018 momo-i <webmaster@momo-i.org> - 0.30-1
- Update to 0.30

* Thu Nov 23 2017 momo-i <webmaster@momo-i.org> - 0.29-1
- Update to 0.29

* Mon Oct 02 2017 momo-i <webmaster@momo-i.org> - 0.28-1
- Update to 0.28

* Sun Apr 02 2017 momo-i <webmaster@momo-i.org> - 0.27-1
- Update to 0.27

* Tue Sep 06 2016 momo-i <webmaster@momo-i.org> - 0.25-1
- Update to 0.25

* Thu Sep 03 2015 momo-i <webmaster@momo-i.org> - 0.24-15
- Update dist for centos7

* Mon Aug 10 2015 momo-i <webmaster@momo-i.org> - 0.24-14
- Rebuilt for fc23

* Fri Apr 17 2015 momo-i <webmaster@momo-i.org> - 0.24-13
- Rebiult for fc22

* Thu Nov 13 2014 momo-i <webmaster@momo-i.org> - 0.24-12
- change license dir

* Mon Jul 28 2014 momo-i <webmaster@momo-i.org> - 0.24-11
- Update to 0.24

* Mon Jul  7 2014 momo-i <webmaster@momo-i.org> - 0.22-11
- Update to 0.22
- configure error: Missing ax_require_defined.m4
- remove leoslyrics plugin

* Thu Dec  5 2013 momo-i <webmaster@momo-i.org> - 0.21-11
- Update filelist

* Mon Oct  7 2013 momo-i <webmaster@momo-i.org> - 0.21-10
- Update doc

* Thu Jul  4 2013 momo-i <webmaster@momo-i.org> 0.21-9
- Relocate lyrics plugin libdir to libexecdir

* Wed Jul  3 2013 momo-i <webmaster@momo-i.org> 0.21-7
- lyrics plugin

* Tue Jul  2 2013 momo-i <webmaster@momo-i.org> 0.21-5
- placed sample config to /etc/ncmpc/*

* Tue Jul  2 2013 momo-i <webmaster@momo-i.org> 0.21-4
- Update src/option.c for translation.

* Tue Jul  2 2013 momo-i <webmaster@momo-i.org> 0.21-3
- Update japanese translation

* Tue Jul  2 2013 momo-i <webmaster@momo-i.org> 0.21-1
- Initial rpm release.
- Adding japanese translation. (a few transation...)
- Patching lirc-devel for fedora.
